org.bouncycastle.asn1.cms.ecc

## Class MQVuserKeyingMaterial

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.ecc.MQVuserKeyingMaterial

All Implemented Interfaces:
  DEREncodable

    public class MQVuserKeyingMaterial
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`MQVuserKeyingMaterial(OriginatorPublicKey ephemeralPublicKey, ASN1OctetString addedukm)`

### Method Summary

Methods
`ASN1OctetString` `getAddedukm()`
`OriginatorPublicKey` `getEphemeralPublicKey()`
`static MQVuserKeyingMaterial` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an MQVuserKeyingMaterial object from a tagged object.
`static MQVuserKeyingMaterial` `getInstance(java.lang.Object obj)` return an MQVuserKeyingMaterial object from the given object.
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MQVuserKeyingMaterial

    public MQVuserKeyingMaterial(OriginatorPublicKey ephemeralPublicKey,
                         ASN1OctetString addedukm)

### Method Detail

#### getInstance

    public static MQVuserKeyingMaterial getInstance(ASN1TaggedObject obj,
                                    boolean explicit)

return an MQVuserKeyingMaterial object from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want.
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

#### getInstance

    public static MQVuserKeyingMaterial getInstance(java.lang.Object obj)

return an MQVuserKeyingMaterial object from the given object.

Parameters:
  `obj` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getEphemeralPublicKey

    public OriginatorPublicKey getEphemeralPublicKey()

#### getAddedukm

    public ASN1OctetString getAddedukm()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     MQVuserKeyingMaterial ::= SEQUENCE {
       ephemeralPublicKey OriginatorPublicKey,
       addedukm [0] EXPLICIT UserKeyingMaterial OPTIONAL  }

Specified by:
  `toASN1Object` in class `ASN1Encodable`